#include<bits/stdc++.h>
using namespace std;
int arr[100000];
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    long long n,br=0,z=0,k=1;

    cin>>n;
    for(long long i=0; i<n; i++)
    {
        arr[i]=i+1;
    }

    for(long long i=1; i<n; i++)
    {
        for(long long j=1; j*j<=arr[i]; j++)
        {
            if((arr[i]-1)%j==0)
            {
                br++;
                //cout<<arr[i]<<" "<<br<<endl;

            }
            else
            {
                break;
            }
        }
        if(br>=z)
        {
            k=arr[i];
            z=br;
        }
        br=0;
    }

    cout<<k<<endl;
    return 0;
}